XScreenSaver(1)

NAME
decayscreen - make a screen meltdown.

SYNOPSIS
decayscreen [-display host:display.screen] [-window] [-root] [-mono] [-install] [-visual visual] [-delay usecs] [-duration secs] [-mode mode] [-fps]

DESCRIPTION
The decayscreen program creates a melting effect by randomly shifting rectangles around the screen. The image that it manipulates will be grabbed from the portion of the screen underlying the window, or from the system's video input, or from a random file on disk, as indicated by the grabDesktopImages, grabVideoFrames, and chooseRandomImages options in the ~/.xscreensaver file; see xscreensaver-demo(1) for more details.

OPTIONS
decayscreen accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-mono
    If on a color display, pretend we're on a monochrome display.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-delay microseconds
    Slow it down.

-duration seconds
    How long to run before loading a new image. Default 120 seconds.

-mode mode
    The direction in which the image should tend to slide. Legal values are random (meaning pick one), up, left, right, down, upleft, downleft, upright, downright, shuffle (meaning prefer no particular direction), in (meaning move things toward the center), out (meaning move things away from the center), melt (meaning melt straight downward), stretch (meaning stretch the screen downward), and fuzz (meaning go blurry instead of melty).

-fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1), xscreensaver-demo(1), xscreensaver-getimage(1)

COPYRIGHT
Copyright 1992 by Vivek Khera. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Vivek Khera <khera@cs.duke.edu>, 05-Aug-93; based on code by David Wald, 1988. Modified by jwz, 28-Nov-1997. Modified by Rick Schultz <rick@skapunx.net> 05-Apr-1999. Modified by Vince Levey <vincel@vincel.org> 25-Oct-2001.